Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::IndexMap< M > Class Template Reference

Permutation of vector indices. More...

`#include <IndexMap.h>`

## Public Types
typedef M | mapper_type
typedef const M | const_mapper_type
typedef M::size_type | size_type
typedef M::size_type | value_type
typedef M::size_type | difference_type
typedef const value_type | const_reference
typedef value_type | reference
typedef boost::numeric::ublas::indexed_const_iterator < IndexMap, std::random_access_iterator_tag > | const_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator

## Public Member Functions
BOOST_UBLAS_INLINE | IndexMap (mapper_type mapper)
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const_mapper_type & | mapper () const
BOOST_UBLAS_INLINE mapper_type & | mapper ()
BOOST_UBLAS_INLINE size_type | max_size () const
BOOST_UBLAS_INLINE bool | empty () const
BOOST_UBLAS_INLINE size_type | operator() (size_type i) const
BOOST_UBLAS_INLINE size_type | operator() (size_type i)
BOOST_UBLAS_INLINE size_type | operator[] (size_type i) const
BOOST_UBLAS_INLINE size_type | operator[] (size_type i)
template<class OM >
BOOST_UBLAS_INLINE bool | operator== (const IndexMap< OM > &ia) const
template<class OM >
BOOST_UBLAS_INLINE bool | operator!= (const IndexMap< OM > &ia) const
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE IndexMap | preprocess (size_type size) const

## Detailed Description

### template<class M>
class LatBuilder::IndexMap< M >

Permutation of vector indices.

This class is meant to permutations of Boost uBLAS vector object. The simplest way to use this class is through the permuteVector() function.

Credits: this class is an adaptation of Boost's indirect array class.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/IndexMap.h